Skip to content
Get started

Creates or updates submitted product free fields. Existing keys not included in the request are unchanged.

POST/api/v2/public/products/freefields

Creates or updates submitted product free fields. Existing keys not included in the request are unchanged.

Body ParametersJSONExpand Collapse
free_fields: optional array of object { country_code, free_fields, product_number, entity_type }

The product free fields to create or update.

country_code: string
minLength1
free_fields: array of object { key, sort_order, value }
key: optional string
sort_order: optional number
formatint32
value: optional string
product_number: string
minLength1
entity_type: optional string
ReturnsExpand Collapse
success: boolean

Indicates whether the operation completed successfully.

data: optional string

Optional data payload returned by the operation.

message: optional string

Human-readable message describing the result.

Creates or updates submitted product free fields. Existing keys not included in the request are unchanged.

curl https://api.colleqtive.net/api/v2/public/products/freefields \
    -X POST \
    -H "Authorization: $COLLEQTIVE_BEARER_TOKEN"
{
  "success": true,
  "data": "data",
  "message": "message"
}
Returns Examples
{
  "success": true,
  "data": "data",
  "message": "message"
}